{"openapi":"3.0.0","info":{"title":"1666.fsrv-internalTasks-s-rest-v3","description":"REST интерфейс ИС Файловый обмен с партнерами для взаимодействия с внутренними СУБО и ситемами Банка","contact":{"name":"Подключение к ИС ФОсП","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=1970303014","email":"api-info@vtb.ru"},"license":{"name":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0.html"},"version":"3.2.0","x-restgeninfo":{}},"externalDocs":{"description":"====== Подключение к ИС ФОсП ========","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=1970303014"},"servers":[{"url":"https://p0fsrv-lb01.region.vtb.ru/api/v3","description":"PROD"},{"url":"https://rrfsrv-ap5001lv.inet.vtb/api/v3","description":"PREPROD"},{"url":"https://iffsrv-ap5051lk.test.vtb.ru/api/v3","description":"IFT"},{"url":"https://d5fsrv-apc001lk.corp.dev.vtb/api/v3","description":"DSO"},{"url":"https://hfapic-ap5001lv.inet.vtb/api/v3","description":"HOTFIX"}],"security":[{"EpaAuth":[]}],"tags":[{"name":"Internal incoming check content tasks","description":"Создание задач на проверку файлов для потока 'снаружи в банк'"},{"name":"Internal outcoming check content tasks","description":"Создание задач на проверку файлов для потока 'из банка наружу'"}],"paths":{"/tasks/{processCode}/ftp-download-and-check-incoming-content":{"post":{"tags":["Internal incoming check content tasks"],"summary":"Скачать по FTP и проверить контент","operationId":"internalFtpDownloadAndCheckIncomingContentV3","parameters":[{"$ref":"#/components/parameters/processCode"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FtpDownloadAndCheckIncomingContentTaskRequestV3"}}},"required":true},"responses":{"200":{"description":"OK","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FtpDownloadAndCheckIncomingContentTaskResponseV3"}}}},"400":{"description":"Bad Request.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"401":{"description":"Запрос не авторизован. Отсутствует токен доступа ЕПА в запросе.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"403":{"description":"Доступ запрещен к данному ресурсу.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"422":{"description":"Ошибка валидации структуры запроса","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"500":{"description":"Внутренняя системная ошибка.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"502":{"description":"Недействительное сообщение от вышестоящего сервиса. Отсутствует связь с вышестоящим сервисом.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"504":{"description":"Gateway Timeout","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}}}}},"/tasks/{processCode}/http-download-and-check-incoming-content":{"post":{"tags":["Internal incoming check content tasks"],"summary":"Скачать по HTTP и проверить контент","operationId":"internalHttpDownloadAndCheckIncomingContentV3","parameters":[{"$ref":"#/components/parameters/processCode"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpDownloadAndCheckIncomingContentTaskRequestV3"}}},"required":true},"responses":{"200":{"description":"OK","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpDownloadAndCheckIncomingContentTaskResponseV3"}}}},"400":{"description":"Bad Request.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"401":{"description":"Запрос не авторизован. Отсутствует токен доступа ЕПА в запросе.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"403":{"description":"Доступ запрещен к данному ресурсу.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"422":{"description":"Ошибка валидации структуры запроса","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"500":{"description":"Внутренняя системная ошибка.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"502":{"description":"Недействительное сообщение от вышестоящего сервиса. Отсутствует связь с вышестоящим сервисом.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"504":{"description":"Gateway Timeout","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}}}}},"/tasks/{processCode}/check-outcoming-content-and-ftp-upload":{"post":{"tags":["Internal outcoming check content tasks"],"summary":"Проверить контент и закачать по FTP","operationId":"internalCheckOutcomingContentAndFtpUploadV3","parameters":[{"$ref":"#/components/parameters/processCode"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckOutcomingContentAndFtpUploadTaskRequestV3"}}},"required":true},"responses":{"200":{"description":"OK","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckOutcomingContentAndFtpUploadTaskResponseV3"}}}},"400":{"description":"Bad Request.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"401":{"description":"Запрос не авторизован. Отсутствует токен доступа ЕПА в запросе.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"403":{"description":"Доступ запрещен к данному ресурсу.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"422":{"description":"Ошибка валидации структуры запроса","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"500":{"description":"Внутренняя системная ошибка.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"502":{"description":"Недействительное сообщение от вышестоящего сервиса. Отсутствует связь с вышестоящим сервисом.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"504":{"description":"Gateway Timeout","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}}}}},"/tasks/{processCode}/check-outcoming-content-and-put-into-s3":{"post":{"tags":["Internal outcoming check content tasks"],"summary":"Проверить контент и закачать в S3","operationId":"internalCheckOutcomingContentAndPutIntoS3V3","parameters":[{"$ref":"#/components/parameters/processCode"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckOutcomingContentAndPutIntoS3TaskRequestV3"}}},"required":true},"responses":{"200":{"description":"OK","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckOutcomingContentAndFtpUploadTaskResponseV3"}}}},"400":{"description":"Bad Request.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"401":{"description":"Запрос не авторизован. Отсутствует токен доступа ЕПА в запросе.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"403":{"description":"Доступ запрещен к данному ресурсу.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"422":{"description":"Ошибка валидации структуры запроса","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"500":{"description":"Внутренняя системная ошибка.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"502":{"description":"Недействительное сообщение от вышестоящего сервиса. Отсутствует связь с вышестоящим сервисом.","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}},"504":{"description":"Gateway Timeout","headers":{"application/json":{"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/TykErrorResponseHeaders"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TykErrorResponse"}}}}}}}},"components":{"schemas":{"FtpDownloadAndCheckIncomingContentTaskRequestV3":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string","description":"Ключ идемпотентности"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","description":"Список объектов","items":{"$ref":"#/components/schemas/FtpDownloadAndCheckIncomingContentTaskItemRequestV3"}}},"additionalProperties":false,"description":"Формат задачи на скачивание по FTP и проверку входящего контента"},"FtpDownloadAndCheckIncomingContentTaskItemRequestV3":{"required":["filePath"],"type":"object","properties":{"filePath":{"maxLength":255,"type":"string","description":"Путь к файлу относительно сконфигрурированной FTP-папки","example":"report-2023.xlsx"},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string","description":"Желаемый ключ объекта в чистом бакете S3","example":"report-2023.xlsx"}},"additionalProperties":false,"description":"Описание входящего контента для проверки"},"FtpDownloadAndCheckIncomingContentTaskResponseV3":{"required":["taskId"],"type":"object","properties":{"taskId":{"type":"string","description":"Идентификатор задачи на скачивание и проверку контента","maxLength":100,"example":"some-value"}},"additionalProperties":false,"description":"Ответ на запрос проверки входящего контента"},"HttpDownloadAndCheckIncomingContentTaskRequestV3":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string","description":"Ключ идемпотентности"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","description":"Список объектов","items":{"$ref":"#/components/schemas/HttpDownloadAndCheckIncomingContentTaskItemRequestV3"}}},"additionalProperties":false,"description":"Формат задачи на скачивание по HTTP и проверку входящего контента"},"HttpDownloadAndCheckIncomingContentTaskItemRequestV3":{"required":["resourcePath"],"type":"object","properties":{"resourcePath":{"maxLength":255,"type":"string","description":"Путь к ресурсу относительно сконфигурированного HTTP-хоста","example":"currencies-rates.csv"},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string","description":"Желаемый ключ объекта в чистом бакете S3","example":"currencies-rates-24.07.2023.csv"}},"additionalProperties":false,"description":"Описание входящего контента для проверки"},"HttpDownloadAndCheckIncomingContentTaskResponseV3":{"required":["taskId"],"type":"object","properties":{"taskId":{"type":"string","description":"Идентификатор задачи на скачивание и проверку контента по протоколу HTTP","maxLength":100,"example":"some-value"}},"additionalProperties":false,"description":"Ответ на запрос проверки входящего контента"},"CheckOutcomingContentAndFtpUploadTaskRequestV3":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string","description":"Ключ идемпотентности"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","description":"Список объектов","items":{"$ref":"#/components/schemas/CheckOutcomingContentAndFtpUploadTaskItemRequestV3"}}},"additionalProperties":false,"description":"Формат задачи на проверку исходящего контента и загрузку на FTP-сервер"},"CheckOutcomingContentAndFtpUploadTaskItemRequestV3":{"required":["filePath"],"type":"object","properties":{"s3Key":{"maxLength":255,"type":"string","description":"Ключ файла в S3 для передачи","example":"currencies-rates.csv"},"shkId":{"maxLength":36,"type":"string","description":"Идентификатор файла в СХК для передачи","example":"a42f2a30-fa23-450b-9cc4-04e61a447e48"},"filePath":{"maxLength":255,"type":"string","description":"Путь к файлу относительно сконфигурированной FTP-папки","example":"currencies-rates.csv"},"length":{"maximum":999999999999999,"minimum":1,"type":"integer","description":"Размер передаваемого контента в байтах","format":"int64","example":1234567},"hashAlgorithm":{"type":"string","description":"Алгоритм используемый для расчета hash","example":"SHA-256","enum":["SHA-256","SHA-512"],"x-enum-varnames":["SHA_256","SHA_512"]},"hashValue":{"type":"string","maxLength":50,"description":"Значение hash","example":"myMXwslBoXkTDQ0olhq1QsiHRWWL4yj1V0IuoK+PYOg="}},"additionalProperties":false,"description":"Описание исходящего контента для проверки"},"CheckOutcomingContentAndFtpUploadTaskResponseV3":{"required":["taskId"],"type":"object","properties":{"taskId":{"type":"string","description":"Идентификатор задачи на проверку исходящего контента и загрузку на FTP сервер","maxLength":100,"example":"some-value"}},"additionalProperties":false,"description":"Ответ на запрос на проверку исходящего контента и загрузку на FTP-сервер"},"CheckOutcomingContentAndPutIntoS3TaskRequestV3":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string","description":"Ключ идемпотентности"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","description":"Список объектов","items":{"$ref":"#/components/schemas/CheckOutcomingContentAndPutIntoS3TaskItemRequestV3"}}},"additionalProperties":false,"description":"Формат задачи на проверку исходящего контента и загрузки в S3 партнеру"},"CheckOutcomingContentAndPutIntoS3TaskItemRequestV3":{"type":"object","properties":{"s3Key":{"maxLength":255,"type":"string","description":"Ключ файла в S3 для передачи","example":"currencies-rates.csv"},"shkId":{"maxLength":36,"type":"string","description":"Идентификатор файла в СХК для передачи","example":"currencies-rates.csv"},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string","description":"Желаемый ключ объекта в чистом бакете S3","example":"currencies-rates-24.07.2023.csv"},"length":{"maximum":999999999999999,"minimum":1,"type":"integer","description":"Размер передаваемого контента в байтах","format":"int64","example":1234567},"hashAlgorithm":{"type":"string","description":"Алгоритм используемый для расчета hash","example":"SHA-256","enum":["SHA-256","SHA-512"],"x-enum-varnames":["SHA_256","SHA_512"]},"hashValue":{"type":"string","description":"Значение hash","maxLength":50,"example":"myMXwslBoXkTDQ0olhq1QsiHRWWL4yj1V0IuoK+PYOg="}},"additionalProperties":false,"description":"Описание исходящего контента для проверки"},"TykErrorResponse":{"type":"object","properties":{"error":{"maxLength":1000,"type":"string","description":"Описание ошибки API шлюза"}},"additionalProperties":false,"description":"Модель ошибок API шлюза"},"TykResponseHeaders":{"type":"object","properties":{"X-RateLimit-Limit":{"maximum":999999999999999,"minimum":0,"type":"integer","description":"Лимит вызовов. Временное Окно лимита уточнить у поставщика API ключа X-TYK-API-KEY","format":"int64"},"X-RateLimit-Remaining":{"maximum":999999999999999,"minimum":0,"type":"integer","description":"Оставшееся количество вызовов в временном окне. Временное Окно лимита уточнить у поставщика API ключа X-TYK-API-KEY","format":"int64"},"X-RateLimit-Reset":{"maximum":999999999999999,"minimum":0,"type":"integer","description":"Время обнуления лимита вызовов в формате Unix Timestamp в миллисекундах","format":"int64"}},"additionalProperties":false,"description":"Модель ответных заголовков TYK API шлюза"},"TykErrorResponseHeaders":{"type":"object","properties":{"X-Generator":{"maxLength":100,"type":"string","description":"Заголовок указывающий на сторону, сгенерировавшую ответ"}},"additionalProperties":false,"description":"Модель ответных заголовков TYK API шлюза при критических ошибках"}},"responses":{},"parameters":{"processCode":{"name":"processCode","in":"path","description":"Идентификатор потока данных","required":true,"style":"simple","explode":false,"schema":{"maximum":999999999,"minimum":1,"type":"integer","format":"int32"},"example":43}},"requestBodies":{},"securitySchemes":{"EpaAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"callbacks":{}},"x-tyk-configuration":{"application":{"version":"v3","provider_rate_limit":{"DSO":{"per":1,"rate":1000},"IFT":{"per":1,"rate":1000},"PREPROD":{"per":1,"rate":1000},"PROD":{"per":1,"rate":1000},"HOTFIX":{"per":1,"rate":1000}},"oas3_validate_extra_headers_request":false,"oas3_validate_extra_headers_response":false,"oas3_validate_response":false,"oas3_validate_request":false,"enable_middlewares":true,"target_url":{"DSO":"https://d5fsrv-apc001lk.corp.dev.vtb","IFT":"https://iffsrv-ap5051lk.test.vtb.ru/api/v3","PREPROD":"https://rrfsrv-ap5001lv.inet.vtb","PROD":"https://p0fsrv-lb01.region.vtb.ru/api/external/v3","HOTFIX":"https://hfapic-ap5001lv.inet.vtb"},"name":"1666.fsrv-internalTasks-s-rest-v3","providerMnemonic":"FSRV","providerRisId":"1666","strip_listen_path":true,"provider_type":"internal","auth_type":"JWT","global_size_limit":1048576,"enforced_timeout":{"DSO":40,"IFT":40,"PREPROD":40,"PROD":40,"HOTFIX":40},"listen_path":"/api/cross/fsrv/internalTasks/v3","mw_enable_validate_header_limit_request":false,"mw_enable_validate_header_limit_response":false,"mask_log":[{"xml":{"rq":[],"rs":{}},"header":{"rq":["X-TYK-API-KEY","Authorization","Cookie"],"rs":{}},"json":{"rq":["*"],"rs":{"200":["*"],"201":["*"]}},"path":"/tasks/{processCode}/ftp-download-and-check-incoming-content","method":"POST"},{"xml":{"rq":[],"rs":{}},"header":{"rq":["X-TYK-API-KEY","Authorization","Cookie"],"rs":{}},"json":{"rq":["*"],"rs":{"200":["*"],"201":["*"]}},"path":"/tasks/{processCode}/http-download-and-check-incoming-content","method":"POST"},{"xml":{"rq":[],"rs":{}},"header":{"rq":["X-TYK-API-KEY","Authorization","Cookie"],"rs":{}},"json":{"rq":["*"],"rs":{"200":["*"],"201":["*"]}},"path":"/tasks/{processCode}/check-outcoming-content-and-ftp-upload","method":"POST"},{"xml":{"rq":[],"rs":{}},"header":{"rq":["X-TYK-API-KEY","Authorization","Cookie"],"rs":{}},"json":{"rq":["*"],"rs":{"200":["*"],"201":["*"]}},"path":"/tasks/{processCode}/check-outcoming-content-and-put-into-s3","method":"POST"}],"api_type":"rest","rq_validate_json":[{"path":"/tasks/{processCode}/ftp-download-and-check-incoming-content","method":"POST","error_response_code":422,"properties":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","items":{"required":["filePath"],"type":"object","properties":{"filePath":{"maxLength":255,"type":"string"},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string"}},"additionalProperties":false}}},"additionalProperties":false}},{"path":"/tasks/{processCode}/http-download-and-check-incoming-content","method":"POST","error_response_code":422,"properties":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","items":{"required":["resourcePath"],"type":"object","properties":{"resourcePath":{"maxLength":255,"type":"string"},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string"}},"additionalProperties":false}}},"additionalProperties":false}},{"path":"/tasks/{processCode}/check-outcoming-content-and-ftp-upload","method":"POST","error_response_code":422,"properties":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","items":{"required":["filePath"],"type":"object","properties":{"s3Key":{"maxLength":255,"type":"string"},"shkId":{"maxLength":36,"type":"string"},"filePath":{"maxLength":255,"type":"string"},"length":{"maximum":999999999999999,"minimum":1,"type":"integer"},"hashAlgorithm":{"type":"string","enum":["SHA-256","SHA-512"],"x-enum-varnames":["SHA_256","SHA_512"]},"hashValue":{"type":"string","maxLength":50}},"additionalProperties":false}}},"additionalProperties":false}},{"path":"/tasks/{processCode}/check-outcoming-content-and-put-into-s3","method":"POST","error_response_code":422,"properties":{"required":["idempotencyKey","contentList"],"type":"object","properties":{"idempotencyKey":{"maxLength":200,"type":"string"},"contentList":{"maxItems":2000,"minItems":1,"type":"array","items":{"type":"object","properties":{"s3Key":{"maxLength":255,"type":"string"},"shkId":{"maxLength":36,"type":"string"},"expectedCleanBucketS3Key":{"maxLength":255,"type":"string"},"length":{"maximum":999999999999999,"minimum":1,"type":"integer"},"hashAlgorithm":{"type":"string","enum":["SHA-256","SHA-512"],"x-enum-varnames":["SHA_256","SHA_512"]},"hashValue":{"type":"string","maxLength":50}},"additionalProperties":false}}},"additionalProperties":false}}]},"api_id":"64dc6d586afab7334b6170ee"}}